<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<!-- 
    File         : dbdump.xsl
    
    Author       : Dwight Kelly 

    Date Created : Feb 3, 2009

    Description  : Dumps fields for PDF database project

    Copyright (C) - 2009 Apago Inc.
-->

<!-- Text gobbler! -->
<xsl:template match='text()'>
</xsl:template>

<xsl:template match="pdfattrs">
		<xsl:value-of select="./@path"/>
		<xsl:text>,</xsl:text>
		<!-- date added -->
		<xsl:value-of select="./@filesize"/>
		<xsl:text>,</xsl:text>
		<xsl:value-of select="./@version"/>
		<xsl:text>,</xsl:text>
		<xsl:value-of select="./@pages"/>
		<xsl:text>,</xsl:text>
		<xsl:value-of select="./@linearized"/>
		<xsl:text>,</xsl:text>
		<xsl:value-of select="./@compressed-objects"/>
		<xsl:text>,</xsl:text>
		<xsl:value-of select="./@xref-streams"/>
		<xsl:text>,</xsl:text>
		<xsl:value-of select="./@encrypted"/>
		<xsl:text>,</xsl:text>
		<xsl:value-of select="./metadata!=''"/>
		<xsl:text>,</xsl:text>
		<xsl:value-of select="./@objects"/>
		<xsl:text>,</xsl:text>
		<xsl:value-of select="./@tagged"/>
		<xsl:text>,</xsl:text>

		<!-- docinfo -->
		<xsl:variable name="creator" select="./Creator"/>
		<xsl:if test="$creator!=''">
			<xsl:value-of select="$creator"/>
		</xsl:if>
		<xsl:text>,</xsl:text>
	        <xsl:variable name="prod" select="./Producer"/>
		<xsl:if test="$prod!=''">
			<xsl:value-of select="$prod"/>
		</xsl:if>
		<xsl:text>,</xsl:text>

		<!-- iso -->
		<xsl:value-of select="./@version"/>
		<xsl:text>,</xsl:text>
		<xsl:if test="./info/GTS_PDFXVersion">
			<xsl:value-of select="./info/GTS_PDFXVersion"/>
		</xsl:if>
		<xsl:text>
</xsl:text>
</xsl:template>

</xsl:stylesheet>

